Organizations
List Organization Members
List members of the current organization
GET
/
organization
/
members
cURL
curl --request GET \
--url https://api.beachdepository.com/v1/organization/members?page=1&limit=25 \
--header 'Authorization: Bearer <token>'
const response = await fetch(
"https://api.beachdepository.com/v1/organization/members?page=1&limit=25",
{
method: "GET",
headers: {
Authorization: "Bearer <token>",
},
}
)
const data = await response.json()
import requests
response = requests.get(
"https://api.beachdepository.com/v1/organization/members?page=1&limit=25",
headers={
"Authorization": "Bearer <token>",
},
)
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.beachdepository.com/v1/organization/members?page=1&limit=25"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"data": [
{
"id": "j57member123",
"firstName": "Jane",
"lastName": "Smith",
"email": "jane@acmepm.com",
"status": "active",
"role": "admin",
"createdAt": "2025-01-15T10:30:00Z"
},
{
"id": "j57member456",
"firstName": "John",
"lastName": "Doe",
"email": "john@acmepm.com",
"status": "active",
"role": "member",
"createdAt": "2025-02-01T08:00:00Z"
}
],
"pagination": {
"page": 1,
"hasMore": false
}
}
Returns a paginated list of members belonging to the organization associated with the API key.
role is admin or member.
Authorizations
string
required
Send
Bearer <token> in this header. The key needs members:read.Query Parameters
number
default:"1"
number
default:"25"
cURL
curl --request GET \
--url https://api.beachdepository.com/v1/organization/members?page=1&limit=25 \
--header 'Authorization: Bearer <token>'
const response = await fetch(
"https://api.beachdepository.com/v1/organization/members?page=1&limit=25",
{
method: "GET",
headers: {
Authorization: "Bearer <token>",
},
}
)
const data = await response.json()
import requests
response = requests.get(
"https://api.beachdepository.com/v1/organization/members?page=1&limit=25",
headers={
"Authorization": "Bearer <token>",
},
)
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.beachdepository.com/v1/organization/members?page=1&limit=25"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"data": [
{
"id": "j57member123",
"firstName": "Jane",
"lastName": "Smith",
"email": "jane@acmepm.com",
"status": "active",
"role": "admin",
"createdAt": "2025-01-15T10:30:00Z"
},
{
"id": "j57member456",
"firstName": "John",
"lastName": "Doe",
"email": "john@acmepm.com",
"status": "active",
"role": "member",
"createdAt": "2025-02-01T08:00:00Z"
}
],
"pagination": {
"page": 1,
"hasMore": false
}
}
⌘I
cURL
curl --request GET \
--url https://api.beachdepository.com/v1/organization/members?page=1&limit=25 \
--header 'Authorization: Bearer <token>'
const response = await fetch(
"https://api.beachdepository.com/v1/organization/members?page=1&limit=25",
{
method: "GET",
headers: {
Authorization: "Bearer <token>",
},
}
)
const data = await response.json()
import requests
response = requests.get(
"https://api.beachdepository.com/v1/organization/members?page=1&limit=25",
headers={
"Authorization": "Bearer <token>",
},
)
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.beachdepository.com/v1/organization/members?page=1&limit=25"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"data": [
{
"id": "j57member123",
"firstName": "Jane",
"lastName": "Smith",
"email": "jane@acmepm.com",
"status": "active",
"role": "admin",
"createdAt": "2025-01-15T10:30:00Z"
},
{
"id": "j57member456",
"firstName": "John",
"lastName": "Doe",
"email": "john@acmepm.com",
"status": "active",
"role": "member",
"createdAt": "2025-02-01T08:00:00Z"
}
],
"pagination": {
"page": 1,
"hasMore": false
}
}